Introspect a token (RFC 7662)
/oauth/introspectA client may introspect its own tokens; a partner those of its accounts' clients. Anything else is active: false.
- Called by
- Client ID and secret
Request body · application/x-www-form-urlencoded
- client_idstring
With
client_secret_post; otherwise use HTTP Basic. - client_secretstring
- tokenstringrequired
- token_type_hintstring
Responses
200Token state.Show
- account_idstring
- activebooleanrequired
- aud(string | array of string)
One of these shapes
string
array of string
- client_idstring
- expinteger
- iatinteger
- issstring
- jtistring
- kindstring
One of
partner,account,supplier - scopestring
- substring
- token_typestring
- 400Bad request, unsupported grant or scope.
- 401Client authentication failed (
invalid_client). - 429Too many token requests.
curl -sS -X POST 'https://suppliers.presslane.ai/oauth/introspect' \
-u "$CLIENT_ID:$CLIENT_SECRET" \
-H 'Content-Type: application/x-www-form-urlencoded' \
--data 'token=string'{
"active": false
}